<?xml version="1.0" encoding="UTF-8"?> 
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="urn:3gpp:ns:mcpttFloorRequest:1.0" 
xmlns:mcpttfloor="urn:3gpp:ns:mcpttFloorRequest:1.0">
	<!-- the root element -->
	<xs:element name="mcptt-floor-request" type="mcpttfloor:mcptt-floor-request-Type" minOccurs="1" maxOccurs="2"/>
	<xs:complexType name="mcptt-floor-request-Type">
		<xs:sequence>
			<xs:element name="floor-type" type="xs:string"/>
			<xs:element name="ssrc" type="xs:unsignedLong"/>
			<xs:element name="floor-priority" type="xs:unsignedByte"/>
			<xs:element name="user-id" type="xs:anyURI"/>
			<xs:element name="track-info" type="mcpttfloor:track-info-Type"/>
			<xs:element name="floor-indicator" type="xs:unsignedLong"/>
			<xs:element name="anyExt" type="mcpttfloor:anyExtType" minOccurs="0"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="anyExtType">
		<xs:sequence>
			<xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="track-info-Type">
		<xs:sequence>
			<xs:element name="queueing-capability" type="xs:byte"/>
			<xs:element name="participant-type" type="xs:string"/>
			<xs:element name="floor-participant-reference" type="xs:unsignedLong" minOccurs="1" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcpttfloor:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
</xs:schema>
